Upgrade Tool Crashed

Bug #107779 reported by zisik on 2007-04-19
78
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Traceback (most recent call last):
  File "/tmp/kde-root/adept_updateryhrcFa.tmp-extract/dist-upgrade.py", line 56, in ?
    app.run()
  File "/tmp/kde-root/adept_updateryhrcFa.tmp-extract/DistUpgradeControler.py", line 1025, in run
    self.fullUpgrade()
  File "/tmp/kde-root/adept_updateryhrcFa.tmp-extract/DistUpgradeControler.py", line 1000, in fullUpgrade
    if not self.askDistUpgrade():
  File "/tmp/kde-root/adept_updateryhrcFa.tmp-extract/DistUpgradeControler.py", line 609, in askDistUpgrade
    self.cache.requiredDownload)
  File "/tmp/kde-root/adept_updateryhrcFa.tmp-extract/DistUpgradeViewKDE.py", line 567, in confirmChanges
    print "type: "+ str(type(_("<p>You have to download a total of %s. "))) + _("<p>You have to download a total of %s. ")
UnicodeEncodeError: 'ascii' codec can't encode character u'\xfc' in position 36: ordinal not in range(128)

zisik (info-zisik) wrote :
zisik (info-zisik) wrote :

zisik.

Thanks for reporting this bug. This is actually an error update-manager rather than adept. Reassigning package. Also this bug has now been duplicated as bug 108560 so status is set to confirmed.

thanks
Richard

Changed in adept:
status: Unconfirmed → Confirmed

assigning package back to adept. My mistake sorry

Richard

Jonathan Thomas (echidnaman) wrote :

The crash actually is in update-manager-kde, which lives in the update-manager source package.

Henrik Vinther (henrik-vinther) wrote :

This is still a problem when trying to upgrade from Hardy to Intrepid, meaning that a lot of non English speaking people can't do the upgrade!
However it can be worked around by setting system language to English.

RedSingularity (redsingularity) wrote :

Cleaning up. Is this still an issue in the current stable release?
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in update-manager (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments